/*****************************************************************
	s1d13781.h
*****************************************************************/

#ifndef __S1D13781_H
#define	__S1D13781_H

// select host interface
#if defined(__PIC24FJ64GB002__)
	#define USE_SPI_INTERFACE
#elif defined(__32MX220F032B__)
	#define USE_SPI_INTERFACE
#elif defined(__32MX695F512H__)
	#define USE_SPI_INTERFACE
#elif defined(__PIC24FJ256GB106__)
	#define	USE_INDIRECT8_INTERFACE
#else
	#error Choose processor
#endif

// use dump routines for debug
//#define USE_DUMP_ROUTINES

#define	MAIN_LAYER	0
#define	PIP_LAYER	1

#define	MAIN_VRAM_ADR	0x00000UL		// 320 * 240 * 2(RGB565) = 0x25800
#define	PIP_VRAM_ADR	0x25800UL
#define	REG_ADR			0x60800UL


extern	void	lcdc_initialize(void);
extern	void	vram_testbar_write(int layer);
extern	void	select_display_layer(int layer);

extern	unsigned char	read_byte(long addr);
extern	void	read_byte_block(long addr, unsigned char *buf, unsigned int size);
extern	void	write_byte(long addr, unsigned char d);
extern	void	write_byte_block(long addr, unsigned char *buf, unsigned int size);

extern	unsigned short	read_word(long addr);
extern	void	read_word_block(long addr, unsigned short *buf, unsigned int size);
extern	void	write_word(long addr, unsigned short d);
extern	void	write_word_block(long addr, unsigned short *buf, unsigned int size);

#ifdef USE_DUMP_ROUTINES
	extern	void	register_byte_dump(void);
	extern	void	register_word_dump(void);
	extern	void	vram_dump(int layer);
	//extern	void	photo_display(void);
#endif

#endif // __S1D13781_H

/*** end of s1d13781.h *****************************************/
